"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkix/build/temp.win-amd64-cpython-38/Release/rdkix_install\\share/RDKix\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF23040>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF230D0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF23160>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF231F0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF23280>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF23310>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF233A0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF23430>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF234C0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF23550>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF235E0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF23670>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF23700>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF23790>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF23820>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF238B0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF23940>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF239D0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF23A60>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF23AF0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF23B80>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF23C10>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF23CA0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF23D30>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF23E50>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF23DC0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF23EE0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF23F70>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF26040>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF260D0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF26160>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF261F0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF26280>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF26310>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF263A0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF26430>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF264C0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF26550>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF265E0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF26670>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF26700>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF26790>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF26820>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF268B0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF26940>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF269D0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF26A60>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF26AF0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF26B80>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF26C10>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF26CA0>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF26D30>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF26DC0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF26E50>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF26EE0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF26F70>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF2B040>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF2B0D0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF2B160>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF2B1F0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF2B280>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF2B310>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF2B3A0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF2B430>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF2B4C0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF2B670>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF2B550>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF2B700>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF2B790>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF2B820>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF2B8B0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF2B940>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF2BA60>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF2B9D0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF2BAF0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF2BB80>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF2BC10>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF2BD30>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF2BCA0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF2BDC0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF2BE50>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF2BEE0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF2BF70>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF2E040>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F7EF2E0D0>)]
name: str = 'fr_HOCCN'
